# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_INSTALLED_FALSE = @KDE_INSTALLED_FALSE@
KDE_INSTALLED_TRUE = @KDE_INSTALLED_TRUE@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LDFLAGS = $(all_libraries) $(KDE_RPATH)
LIBBSD = @LIBBSD@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBXF86VIDMODE = @LIBXF86VIDMODE@
LIBXINERAMA = @LIBXINERAMA@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SLP = @LIB_SLP@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
certmanager_SUBDIR_included_FALSE = @certmanager_SUBDIR_included_FALSE@
certmanager_SUBDIR_included_TRUE = @certmanager_SUBDIR_included_TRUE@
datadir = @datadir@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdict_SUBDIR_included_FALSE = @kdict_SUBDIR_included_FALSE@
kdict_SUBDIR_included_TRUE = @kdict_SUBDIR_included_TRUE@
kfile_plugins_SUBDIR_included_FALSE = @kfile_plugins_SUBDIR_included_FALSE@
kfile_plugins_SUBDIR_included_TRUE = @kfile_plugins_SUBDIR_included_TRUE@
kget_SUBDIR_included_FALSE = @kget_SUBDIR_included_FALSE@
kget_SUBDIR_included_TRUE = @kget_SUBDIR_included_TRUE@
kit_SUBDIR_included_FALSE = @kit_SUBDIR_included_FALSE@
kit_SUBDIR_included_TRUE = @kit_SUBDIR_included_TRUE@
kmail_SUBDIR_included_FALSE = @kmail_SUBDIR_included_FALSE@
kmail_SUBDIR_included_TRUE = @kmail_SUBDIR_included_TRUE@
kmailcvt_SUBDIR_included_FALSE = @kmailcvt_SUBDIR_included_FALSE@
kmailcvt_SUBDIR_included_TRUE = @kmailcvt_SUBDIR_included_TRUE@
knewsticker_SUBDIR_included_FALSE = @knewsticker_SUBDIR_included_FALSE@
knewsticker_SUBDIR_included_TRUE = @knewsticker_SUBDIR_included_TRUE@
knode_SUBDIR_included_FALSE = @knode_SUBDIR_included_FALSE@
knode_SUBDIR_included_TRUE = @knode_SUBDIR_included_TRUE@
korn_SUBDIR_included_FALSE = @korn_SUBDIR_included_FALSE@
korn_SUBDIR_included_TRUE = @korn_SUBDIR_included_TRUE@
kpf_SUBDIR_included_FALSE = @kpf_SUBDIR_included_FALSE@
kpf_SUBDIR_included_TRUE = @kpf_SUBDIR_included_TRUE@
kppp_SUBDIR_included_FALSE = @kppp_SUBDIR_included_FALSE@
kppp_SUBDIR_included_TRUE = @kppp_SUBDIR_included_TRUE@
krdc_SUBDIR_included_FALSE = @krdc_SUBDIR_included_FALSE@
krdc_SUBDIR_included_TRUE = @krdc_SUBDIR_included_TRUE@
krfb_SUBDIR_included_FALSE = @krfb_SUBDIR_included_FALSE@
krfb_SUBDIR_included_TRUE = @krfb_SUBDIR_included_TRUE@
ksirc_SUBDIR_included_FALSE = @ksirc_SUBDIR_included_FALSE@
ksirc_SUBDIR_included_TRUE = @ksirc_SUBDIR_included_TRUE@
ktalkd_SUBDIR_included_FALSE = @ktalkd_SUBDIR_included_FALSE@
ktalkd_SUBDIR_included_TRUE = @ktalkd_SUBDIR_included_TRUE@
kxmlrpc_SUBDIR_included_FALSE = @kxmlrpc_SUBDIR_included_FALSE@
kxmlrpc_SUBDIR_included_TRUE = @kxmlrpc_SUBDIR_included_TRUE@
lanbrowsing_SUBDIR_included_FALSE = @lanbrowsing_SUBDIR_included_FALSE@
lanbrowsing_SUBDIR_included_TRUE = @lanbrowsing_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkdenetwork_SUBDIR_included_FALSE = @libkdenetwork_SUBDIR_included_FALSE@
libkdenetwork_SUBDIR_included_TRUE = @libkdenetwork_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimelib_SUBDIR_included_FALSE = @mimelib_SUBDIR_included_FALSE@
mimelib_SUBDIR_included_TRUE = @mimelib_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@
KDE_CXXFLAGS = $(USE_RTTI)

INCLUDES = -I$(top_srcdir)/mimelib $(all_includes)

#>- METASOURCES = AUTO

bin_PROGRAMS = korn
korn_LDADD = $(top_builddir)/mimelib/libmimelib.la $(LIB_KFILE) $(LIBSOCKET)

korn_SOURCES = \
  dropdlg.cpp \
  dropman.cpp \
  ecfg.cpp \
  edrop.cpp \
  gencfg.cpp \
  comcfg.cpp \
  imap.cpp \
  imapcfg.cpp \
  kbiffimap.cpp \
  kfbrowsebtn.cpp \
  kornbutt.cpp \
  kornset.cpp \
  maildrop.cpp \
  main.cpp \
  moncfg.cpp \
  news.cpp \
  newscfg.cpp \
  optdlg.cpp \
  pollcfg.cpp \
  polldrop.cpp \
  pop.cpp \
  popcfg.cpp \
  qmail.cpp \
  qmailcfg.cpp \
  shell.cpp \
  typedlg.cpp \
  unixcfg.cpp \
  unixdrop.cpp \
  btnstyle.cpp \
  kornapp.cpp


noinst_HEADERS = \
  dropdlg.h \
  dropman.h \
  ecfg.h \
  edrop.h \
  gencfg.h \
  comcfg.h \
  imap.h \
  imapcfg.h \
  kbiffimap.h \
  kfbrowsebtn.h \
  kornbutt.h \
  kornset.h \
  maildrop.h \
  moncfg.h \
  news.h \
  newscfg.h \
  optdlg.h \
  pollcfg.h \
  polldrop.h \
  pop.h \
  popcfg.h \
  qmail.h \
  qmailcfg.h \
  shell.h \
  typedlg.h \
  unixcfg.h \
  unixdrop.h \
  btnstyle.h \
  kornapp.h


KDE_ICON = korn

appsdir = $(kde_appsdir)/Internet/More
apps_DATA = KOrn.desktop
subdir = korn
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = korn$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_korn_OBJECTS = dropdlg.$(OBJEXT) dropman.$(OBJEXT) ecfg.$(OBJEXT) \
	edrop.$(OBJEXT) gencfg.$(OBJEXT) comcfg.$(OBJEXT) \
	imap.$(OBJEXT) imapcfg.$(OBJEXT) kbiffimap.$(OBJEXT) \
	kfbrowsebtn.$(OBJEXT) kornbutt.$(OBJEXT) kornset.$(OBJEXT) \
	maildrop.$(OBJEXT) main.$(OBJEXT) moncfg.$(OBJEXT) \
	news.$(OBJEXT) newscfg.$(OBJEXT) optdlg.$(OBJEXT) \
	pollcfg.$(OBJEXT) polldrop.$(OBJEXT) pop.$(OBJEXT) \
	popcfg.$(OBJEXT) qmail.$(OBJEXT) qmailcfg.$(OBJEXT) \
	shell.$(OBJEXT) typedlg.$(OBJEXT) unixcfg.$(OBJEXT) \
	unixdrop.$(OBJEXT) btnstyle.$(OBJEXT) kornapp.$(OBJEXT)
#>- korn_OBJECTS = $(am_korn_OBJECTS)
#>+ 13
korn_final_OBJECTS = korn.all_cpp.o 
korn_nofinal_OBJECTS = dropdlg.$(OBJEXT) dropman.$(OBJEXT) ecfg.$(OBJEXT) \
	edrop.$(OBJEXT) gencfg.$(OBJEXT) comcfg.$(OBJEXT) \
	imap.$(OBJEXT) imapcfg.$(OBJEXT) kbiffimap.$(OBJEXT) \
	kfbrowsebtn.$(OBJEXT) kornbutt.$(OBJEXT) kornset.$(OBJEXT) \
	maildrop.$(OBJEXT) main.$(OBJEXT) moncfg.$(OBJEXT) \
	news.$(OBJEXT) newscfg.$(OBJEXT) optdlg.$(OBJEXT) \
	pollcfg.$(OBJEXT) polldrop.$(OBJEXT) pop.$(OBJEXT) \
	popcfg.$(OBJEXT) qmail.$(OBJEXT) qmailcfg.$(OBJEXT) \
	shell.$(OBJEXT) typedlg.$(OBJEXT) unixcfg.$(OBJEXT) \
	unixdrop.$(OBJEXT) btnstyle.$(OBJEXT) kornapp.$(OBJEXT)
@KDE_USE_FINAL_FALSE@korn_OBJECTS = $(korn_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@korn_OBJECTS = $(korn_final_OBJECTS)
korn_DEPENDENCIES = $(top_builddir)/mimelib/libmimelib.la
korn_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/btnstyle.Po ./$(DEPDIR)/comcfg.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/dropdlg.Po ./$(DEPDIR)/dropman.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ecfg.Po ./$(DEPDIR)/edrop.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/gencfg.Po ./$(DEPDIR)/imap.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/imapcfg.Po ./$(DEPDIR)/kbiffimap.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfbrowsebtn.Po ./$(DEPDIR)/kornapp.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kornbutt.Po ./$(DEPDIR)/kornset.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/maildrop.Po ./$(DEPDIR)/main.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/moncfg.Po ./$(DEPDIR)/news.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/newscfg.Po ./$(DEPDIR)/optdlg.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/pollcfg.Po ./$(DEPDIR)/polldrop.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/pop.Po ./$(DEPDIR)/popcfg.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/qmail.Po ./$(DEPDIR)/qmailcfg.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/shell.Po ./$(DEPDIR)/typedlg.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/unixcfg.Po ./$(DEPDIR)/unixdrop.Po
#>+ 31
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =   $(DEPDIR)/korn.all_cpp.P  ./$(DEPDIR)/btnstyle.Po ./$(DEPDIR)/comcfg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/dropdlg.Po ./$(DEPDIR)/dropman.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ecfg.Po ./$(DEPDIR)/edrop.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/gencfg.Po ./$(DEPDIR)/imap.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/imapcfg.Po ./$(DEPDIR)/kbiffimap.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfbrowsebtn.Po ./$(DEPDIR)/kornapp.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kornbutt.Po ./$(DEPDIR)/kornset.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/maildrop.Po ./$(DEPDIR)/main.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/moncfg.Po ./$(DEPDIR)/news.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/newscfg.Po ./$(DEPDIR)/optdlg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/pollcfg.Po ./$(DEPDIR)/polldrop.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/pop.Po ./$(DEPDIR)/popcfg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/qmail.Po ./$(DEPDIR)/qmailcfg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/shell.Po ./$(DEPDIR)/typedlg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/unixcfg.Po ./$(DEPDIR)/unixdrop.Po
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =   ./$(DEPDIR)/btnstyle.Po ./$(DEPDIR)/comcfg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/dropdlg.Po ./$(DEPDIR)/dropman.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ecfg.Po ./$(DEPDIR)/edrop.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/gencfg.Po ./$(DEPDIR)/imap.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/imapcfg.Po ./$(DEPDIR)/kbiffimap.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfbrowsebtn.Po ./$(DEPDIR)/kornapp.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kornbutt.Po ./$(DEPDIR)/kornset.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/maildrop.Po ./$(DEPDIR)/main.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/moncfg.Po ./$(DEPDIR)/news.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/newscfg.Po ./$(DEPDIR)/optdlg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/pollcfg.Po ./$(DEPDIR)/polldrop.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/pop.Po ./$(DEPDIR)/popcfg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/qmail.Po ./$(DEPDIR)/qmailcfg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/shell.Po ./$(DEPDIR)/typedlg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/unixcfg.Po ./$(DEPDIR)/unixdrop.Po

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(korn_SOURCES)
DATA = $(apps_DATA)

HEADERS = $(noinst_HEADERS)

DIST_COMMON = $(noinst_HEADERS) AUTHORS ChangeLog Makefile.am \
	Makefile.in
SOURCES = $(korn_SOURCES)

#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  korn/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  korn/Makefile
	cd $(top_srcdir) && perl admin/am_edit korn/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
korn$(EXEEXT): $(korn_OBJECTS) $(korn_DEPENDENCIES) 
	@rm -f korn$(EXEEXT)
	$(CXXLINK) $(korn_LDFLAGS) $(korn_OBJECTS) $(korn_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/btnstyle.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/comcfg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dropdlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dropman.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ecfg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/edrop.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gencfg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/imap.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/imapcfg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kbiffimap.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfbrowsebtn.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kornapp.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kornbutt.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kornset.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maildrop.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/moncfg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/news.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/newscfg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/optdlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pollcfg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/polldrop.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pop.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/popcfg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/qmail.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/qmailcfg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/shell.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/typedlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unixcfg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unixdrop.Po@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
appsDATA_INSTALL = $(INSTALL_DATA)
install-appsDATA: $(apps_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(appsdir)
	@list='$(apps_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(appsDATA_INSTALL) $$d$$p $(DESTDIR)$(appsdir)/$$f"; \
	  $(appsDATA_INSTALL) $$d$$p $(DESTDIR)$(appsdir)/$$f; \
	done

uninstall-appsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(apps_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(appsdir)/$$f"; \
	  rm -f $(DESTDIR)$(appsdir)/$$f; \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=cr48-app-korn.png uninstall.desktop cr16-app-korn.png cr32-app-korn.png utils.h KOrn.desktop 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS) $(DATA) $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(bindir) $(DESTDIR)$(appsdir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

#>- clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
#>+ 1
clean-am: clean-metasources clean-final  clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

#>- install-data-am: install-appsDATA install-data-local
#>+ 1
install-data-am: install-kde-icons  install-appsDATA install-data-local

install-exec-am: install-binPROGRAMS

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

#>- uninstall-am: uninstall-appsDATA uninstall-binPROGRAMS uninstall-info-am
#>+ 1
uninstall-am: uninstall-kde-icons  uninstall-appsDATA uninstall-binPROGRAMS uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
	clean-generic clean-libtool ctags distclean distclean-compile \
	distclean-depend distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am info info-am install \
	install-am install-appsDATA install-binPROGRAMS install-data \
	install-data-am install-data-local install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am uninstall-appsDATA \
	uninstall-binPROGRAMS uninstall-info-am


srcdoc:
	kdoc -p -u "/~ssk/src/korn/" -n korn -d /home/ssk/web/src/korn *.h \
		-lqt -lkdeui -lkdecore

messages:
	$(XGETTEXT) $(korn_SOURCES) -o $(podir)/korn.pot

install-data-local: uninstall.desktop
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Internet
	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Internet/KOrn.desktop
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 3
dropman.moc: $(srcdir)/dropman.h
	$(MOC) $(srcdir)/dropman.h -o dropman.moc

#>+ 1
mocs: dropman.moc
#>+ 3
optdlg.moc: $(srcdir)/optdlg.h
	$(MOC) $(srcdir)/optdlg.h -o optdlg.moc

#>+ 1
mocs: optdlg.moc
#>+ 3
shell.moc: $(srcdir)/shell.h
	$(MOC) $(srcdir)/shell.h -o shell.moc

#>+ 1
mocs: shell.moc
#>+ 3
typedlg.moc: $(srcdir)/typedlg.h
	$(MOC) $(srcdir)/typedlg.h -o typedlg.moc

#>+ 1
mocs: typedlg.moc
#>+ 3
maildrop.moc: $(srcdir)/maildrop.h
	$(MOC) $(srcdir)/maildrop.h -o maildrop.moc

#>+ 1
mocs: maildrop.moc
#>+ 3
dropdlg.moc: $(srcdir)/dropdlg.h
	$(MOC) $(srcdir)/dropdlg.h -o dropdlg.moc

#>+ 1
mocs: dropdlg.moc
#>+ 3
kfbrowsebtn.moc: $(srcdir)/kfbrowsebtn.h
	$(MOC) $(srcdir)/kfbrowsebtn.h -o kfbrowsebtn.moc

#>+ 1
mocs: kfbrowsebtn.moc
#>+ 3
kornapp.moc: $(srcdir)/kornapp.h
	$(MOC) $(srcdir)/kornapp.h -o kornapp.moc

#>+ 1
mocs: kornapp.moc
#>+ 3
moncfg.moc: $(srcdir)/moncfg.h
	$(MOC) $(srcdir)/moncfg.h -o moncfg.moc

#>+ 1
mocs: moncfg.moc
#>+ 3
gencfg.moc: $(srcdir)/gencfg.h
	$(MOC) $(srcdir)/gencfg.h -o gencfg.moc

#>+ 1
mocs: gencfg.moc
#>+ 3
polldrop.moc: $(srcdir)/polldrop.h
	$(MOC) $(srcdir)/polldrop.h -o polldrop.moc

#>+ 1
mocs: polldrop.moc
#>+ 3
edrop.moc: $(srcdir)/edrop.h
	$(MOC) $(srcdir)/edrop.h -o edrop.moc

#>+ 1
mocs: edrop.moc
#>+ 3
news.moc: $(srcdir)/news.h
	$(MOC) $(srcdir)/news.h -o news.moc

#>+ 1
mocs: news.moc
#>+ 3
ecfg.moc: $(srcdir)/ecfg.h
	$(MOC) $(srcdir)/ecfg.h -o ecfg.moc

#>+ 1
mocs: ecfg.moc
#>+ 3
comcfg.moc: $(srcdir)/comcfg.h
	$(MOC) $(srcdir)/comcfg.h -o comcfg.moc

#>+ 1
mocs: comcfg.moc
#>+ 3
kornbutt.moc: $(srcdir)/kornbutt.h
	$(MOC) $(srcdir)/kornbutt.h -o kornbutt.moc

#>+ 1
mocs: kornbutt.moc
#>+ 3
clean-metasources:
	-rm -f  dropman.moc optdlg.moc shell.moc typedlg.moc maildrop.moc dropdlg.moc kfbrowsebtn.moc kornapp.moc moncfg.moc gencfg.moc polldrop.moc edrop.moc news.moc ecfg.moc comcfg.moc kornbutt.moc

#>+ 2
docs-am:

#>+ 13
install-kde-icons:
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps
	$(INSTALL_DATA) $(srcdir)/cr48-app-korn.png $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps/korn.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/16x16/apps
	$(INSTALL_DATA) $(srcdir)/cr16-app-korn.png $(DESTDIR)$(kde_icondir)/crystalsvg/16x16/apps/korn.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps
	$(INSTALL_DATA) $(srcdir)/cr32-app-korn.png $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps/korn.png

uninstall-kde-icons:
	-rm -f $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps/korn.png
	-rm -f $(DESTDIR)$(kde_icondir)/crystalsvg/16x16/apps/korn.png
	-rm -f $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps/korn.png

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  korn/Makefile
	cd $(top_srcdir) && perl admin/am_edit korn/Makefile.in


#>+ 11
korn.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/dropdlg.cpp $(srcdir)/dropman.cpp $(srcdir)/ecfg.cpp $(srcdir)/edrop.cpp $(srcdir)/gencfg.cpp $(srcdir)/comcfg.cpp $(srcdir)/imap.cpp $(srcdir)/imapcfg.cpp $(srcdir)/kbiffimap.cpp $(srcdir)/kfbrowsebtn.cpp $(srcdir)/kornbutt.cpp $(srcdir)/kornset.cpp $(srcdir)/maildrop.cpp $(srcdir)/main.cpp $(srcdir)/moncfg.cpp $(srcdir)/news.cpp $(srcdir)/newscfg.cpp $(srcdir)/optdlg.cpp $(srcdir)/pollcfg.cpp $(srcdir)/polldrop.cpp $(srcdir)/pop.cpp $(srcdir)/popcfg.cpp $(srcdir)/qmail.cpp $(srcdir)/qmailcfg.cpp $(srcdir)/shell.cpp $(srcdir)/typedlg.cpp $(srcdir)/unixcfg.cpp $(srcdir)/unixdrop.cpp $(srcdir)/btnstyle.cpp $(srcdir)/kornapp.cpp  dropman.moc optdlg.moc shell.moc typedlg.moc maildrop.moc dropdlg.moc kfbrowsebtn.moc kornapp.moc moncfg.moc gencfg.moc polldrop.moc edrop.moc news.moc ecfg.moc comcfg.moc kornbutt.moc
	@echo 'creating korn.all_cpp.cpp ...'; \
	rm -f korn.all_cpp.files korn.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> korn.all_cpp.final; \
	for file in dropdlg.cpp dropman.cpp ecfg.cpp edrop.cpp gencfg.cpp comcfg.cpp imap.cpp imapcfg.cpp kbiffimap.cpp kfbrowsebtn.cpp kornbutt.cpp kornset.cpp maildrop.cpp main.cpp moncfg.cpp news.cpp newscfg.cpp optdlg.cpp pollcfg.cpp polldrop.cpp pop.cpp popcfg.cpp qmail.cpp qmailcfg.cpp shell.cpp typedlg.cpp unixcfg.cpp unixdrop.cpp btnstyle.cpp kornapp.cpp ; do \
	  echo "#include \"$$file\"" >> korn.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> korn.all_cpp.final; \
	done; \
	cat korn.all_cpp.final korn.all_cpp.files > korn.all_cpp.cpp; \
	rm -f korn.all_cpp.final korn.all_cpp.files

#>+ 3
clean-final:
	-rm -f korn.all_cpp.cpp

#>+ 2
final:
	$(MAKE) korn_OBJECTS="$(korn_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) korn_OBJECTS="$(korn_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) korn_OBJECTS="$(korn_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) korn_OBJECTS="$(korn_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 33
shell.lo: shell.moc 
news.lo: news.moc 
ecfg.o: ecfg.moc 
polldrop.lo: polldrop.moc 
dropman.o: dropman.moc 
kfbrowsebtn.lo: kfbrowsebtn.moc 
maildrop.lo: maildrop.moc 
gencfg.lo: gencfg.moc 
kornapp.lo: kornapp.moc 
kornapp.o: kornapp.moc 
shell.o: shell.moc 
typedlg.o: typedlg.moc 
gencfg.o: gencfg.moc 
kfbrowsebtn.o: kfbrowsebtn.moc 
moncfg.o: moncfg.moc 
ecfg.lo: ecfg.moc 
news.o: news.moc 
typedlg.lo: typedlg.moc 
moncfg.lo: moncfg.moc 
edrop.lo: edrop.moc 
comcfg.o: comcfg.moc 
kornbutt.lo: kornbutt.moc 
optdlg.o: optdlg.moc 
optdlg.lo: optdlg.moc 
dropdlg.o: dropdlg.moc 
dropman.lo: dropman.moc 
polldrop.o: polldrop.moc 
dropdlg.lo: dropdlg.moc 
maildrop.o: maildrop.moc 
kornbutt.o: kornbutt.moc 
comcfg.lo: comcfg.moc 
edrop.o: edrop.moc 
